id: domibus-detect

info:
  name: Domibus - Detect
  author: righettod
  severity: info
  description: |
    Domibus was detected.
  reference:
    - https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/Domibus
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Domibus"
  tags: tech,domibus,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/domibus/rest/application/info"
      - "{{BaseURL}}/domibus/"

    stop-at-first-match: true
    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "<title>domibus", "domibus-msh")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '"versionNumber":\s*"([0-9.]+)"'
# digest: 4a0a00473045022059e9e99e029fbc0b17800cad95ed1e7a454160d898afe1135645347e63fa346c022100bb90f3540860e64e36331a91254332b0b1c94685dc05409f49270bd6497ea672:922c64590222798bb761d5b6d8e72950